Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
Абсолютно нормально. Почитай про precompiled headers.
Теперь понятно :)
Спасибо!
2
Коллеги, а это нормально, что после перестроения в проекте есть файлы:
\OPMNetExt.VC.db
\ipch\OPMNETEXT-3f21b66b\ASDKOPMNETEXT-ef141531.ipch
Соответственно 144 и 120 Мб? Причем сама итоговая DLL весит всего 54 Кб.
Абсолютно нормально. Почитай про precompiled headers.
3
Коллеги, а это нормально, что после перестроения в проекте есть файлы:
\OPMNetExt.VC.db
\ipch\OPMNETEXT-3f21b66b\ASDKOPMNETEXT-ef141531.ipch
Соответственно 144 и 120 Мб? Причем сама итоговая DLL весит всего 54 Кб.
4
Ты путаешь описание блока (Block) и вставку блока (BlockReference). У Block нет метода GetAttributes.
5
VBA / Re: Вставка статичного блока в ячейку таблицы Autocad
« Последний ответ от pavka_97 17-01-2018, 14:38:07 »
Добрый день, осмелюсь спросить еще раз в продолжении темы :). Возможна ли вставка с условием в таблицу блока c атрибутом, при сравнении значений textString (атрибута блока) и CellValue?
Код - Visual Basic [Выбрать]
  1. Sub BlockIntoAcadtable2()
  2.       Dim name1 As String
  3.       Dim block As AcadBlock
  4.       Dim t1 As String
  5.       Dim n1 As String
  6.       Dim ID As LONG_PTR
  7.       Dim Attributes As Variant
  8.       Dim table As AcadTable
  9.      
  10.          On Error Resume Next
  11.          
  12.          name1 = "1"
  13.          Set block = ThisDrawing.Blocks(name1)
  14.          ID = block.ObjectID
  15.          
  16.          Attributes = block.GetAttributes
  17.          t1 = Attributes(0).TextString
  18.          
  19.          ThisDrawing.SelectionSets("ss").Delete
  20.          Set ss = ThisDrawing.SelectionSets.Add("ss")
  21.          ss.SelectOnScreen
  22.          
  23.          For Each table In ss
  24.          n1 = table.GetCellValue(7, 0)
  25.          If n1 = t1 Then
  26.          table.SetBlockTableRecordId 7, 5, ID, True
  27.          End If
  28.       Next
  29. End Sub
При сравнении с именем блока, числом работает. Чего то опять не хватает?
6
AutoCAD .NET API / Re: Радиальные размеры
« Последний ответ от OlegSysa 16-01-2018, 18:02:05 »
Надо попробовать лидер
7
AutoCAD .NET API / Re: Радиальные размеры
« Последний ответ от OlegSysa 16-01-2018, 18:01:41 »
Спасибо! Я извиняюсь, не много не так поставил вопрос. Я во второй картинке указал именно лидер. А мне по сути можно и простую прямую стрелку с текстом.
В доке все таки нашел:
У объекта Dimension есть свойства, такие же как и автокадовские системные переменные.
Через свойства:
acRadDim.Dimcen = 0.0009;
acRadDim.Dimtofl = false;

в принципе добился того чего хотел:



Но все же остается мааалеенькая точка центра окружности, как ни задавай Dimcen она уменьшается но полностью не исчезает.=(
Хотелось бы вообще без нее.
8
AutoCAD .NET API / Re: Радиальные размеры
« Последний ответ от Александр Ривилис 16-01-2018, 17:17:04 »
А надо что бы было так:
Насколько я помню такое можно сделать только при помощи LEADER или MLEADER.
9
AutoCAD .NET API / Радиальные размеры
« Последний ответ от OlegSysa 16-01-2018, 16:53:37 »
День добрый!
Создаю радиальный размер.
Почти все настроил, не могу только найти одну настройку.
Как указать этот размер без указания центра окружности?
То есть что бы была просто размерная линия со стрелкой, которая указывает на окружность, но без продолжения до центра окружности.
Сейчас вот так:



А надо что бы было так:




Спасибо!
10
VBA / Re: Вставка статичного блока в ячейку таблицы Autocad
« Последний ответ от pavka_97 15-01-2018, 20:51:52 »
Ура!:) Буду разбираться. Спасибо.
Страницы: [1] 2 3 ... 10